Name:           cufflinks
Version:        2.2.1
Release:        4
Summary:        Transcriptome assembly and differential expression analysis for RNA-Seq.

License:        GPL-3.0-only and BSL-1.0
URL:            http://cole-trapnell-lab.github.io/%{name}/
Source0:        https://github.com/cole-trapnell-lab/%{name}/archive/refs/tags/%{name}-%{version}.tar.gz

Patch0:         0001-fix_spelling.patch
Patch1:         0002-fix_includes_path.patch
Patch2:         0003-fix_boost_tr1_path.patch
Patch3:         0004-return_with_novalue.patch
Patch4:         0005-fix_no_hash_member.patch
Patch5:         0006-format-security.patch
Patch6:         0007-py2to3.patch
Patch7:         0008-boost_bind_header.patch
Patch8:         multiple-definition-linker-error.patch
Patch9:         no_svnversion.patch
Patch10:        hts-instead-of-bam-because-samtools-upgrade.patch
Patch11:        fix-build-error-of-sam.h.patch

BuildRequires:  boost boost-serialization boost-system boost-thread boost-devel samtools samtools-devel htslib htslib-devel
BuildRequires:  gcc gcc-c++ gcc-gfortran make autoconf gmp mpfr openmpi java-1.8.0-openjdk-headless
BuildRequires:  python3 ncurses-devel eigen3-devel xz-devel bzip2-devel zlib-devel automake

Recommends:     gffread

%description
Cufflinks assembles transcripts, estimates their abundances, and tests for
differential expression and regulation in RNA-Seq samples. It accepts aligned
RNA-Seq reads and assembles the alignments into a parsimonious set of transcripts.
Cufflinks then estimates the relative abundances of these transcripts based on 
how many reads support each one, taking into account biases in library
preparation protocols.

%prep
%autosetup -p1

%build
autoreconf --install >/dev/null 2>&1
if ! ./configure \
    --prefix=%{_prefix} \
%ifarch aarch64
    --build=arm \
%endif
    --with-boost --with-eigen --with-hts \
    LIBS="-lboost_system -lboost_thread -lboost_serialization" \
    PYTHON="$(command -v python3)"; then
    : cat log
    cat config.log
fi

%make_build CXXFLAGS="-I/usr/include/eigen3 -lhts -L%{_libdir} -lpthread"

%install
%make_install
# skip gffread binary provided by gffread package
find %{buildroot}/%{_bindir}/ -type f -name gffread -delete

%files
%license LICENSE
%doc README AUTHORS doc
%{_bindir}/*


%changelog
* Wed Apr 10 2024 zhangxianting <zhangxianting@uniontech.com> - 2.2.1-4
- fix build error, because of remove libbam.a after samtools upgrade

* Thu Feb 10 2022 herengui <herengui@uniontech.com> - 2.2.1-3
- fix build issue.

* Sat Aug 07 2021 wangyue <wangyue92@huawei.com> - 2.2.1-2
- Fix FTBFS with GCC 10

* Wed Mar 24 2021 He Rengui <herengui@uniontech.com> - 2.2.1-1
- Package init
